Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Disputes

  • List disputes

  • Retrieve dispute

  • Accept dispute

  • List dispute evidence

  • Create dispute evidence file

  • Create dispute evidence text

  • Delete dispute evidence

  • Retrieve dispute evidence

  • Submit evidence

  • Webhooks

  • dispute.created

  • dispute.evidence.created

  • dispute.evidence.deleted

  • dispute.state.updated

<- Disputes API

Disputes API

All versions ->

Retrieve dispute

GET

 /v2/disputes/{dispute_id}

Returns details about a specific dispute.

Permissions:DISPUTES_READ
Try in API Explorer
Link to section

Path parameters

Example code

Link to section

dispute_id

string

Required

The ID of the dispute you want more details about.

Link to section

Response fields

Link to section

errors

Information about errors encountered during the request.

Link to section

dispute

Details about the requested Dispute.

Link to section

Examples

All versions ->

GET /v2/disputes/{dispute_id}
curl https://connect.squareup.com/v2/disputes/XDgyFu7yo1E2S5lQGGpYn \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "dispute": { "amount_money": { "amount": 2500, "currency": "USD" }, "reason": "NO_KNOWLEDGE", "state": "ACCEPTED", "due_at": "2022-07-13T00:00:00.000Z", "disputed_payment": { "payment_id": "zhyh1ch64kRBrrlfVhwjCEjZWzNZY" }, "card_brand": "VISA", "created_at": "2022-06-29T18:45:22.265Z", "updated_at": "2022-07-07T19:14:42.650Z", "brand_dispute_id": "100000809947", "version": 2, "location_id": "L1HN3ZMQK64X9", "id": "XDgyFu7yo1E2S5lQGGpYn", "reported_at": "2022-06-29T00:00:00.000Z" } }